///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

BOOL CALLBACK TabSQLDialog(HWND xHandle, UINT xMessage, WPARAM wParam, LPARAM lParam)
{
    static HWND SQLServer_hWnd   = NULL;
    static HWND SQLDriver_hWnd   = NULL;
    static HWND SQLDatabase_hWnd = NULL;
    static HWND SQLUsername_hWnd = NULL;
    static HWND SQLPassword_hWnd = NULL;

    if(xMessage == WM_INITDIALOG)
    {
        SQLServer_hWnd   = GetDlgItem(xHandle, IDC_SERVER);
        SQLDriver_hWnd   = GetDlgItem(xHandle, IDC_SQLDRIVER);
        SQLDatabase_hWnd = GetDlgItem(xHandle, IDC_SQLDATABASE);

        SQLUsername_hWnd = GetDlgItem(xHandle, IDC_SQLUSERNAME);
        SQLPassword_hWnd = GetDlgItem(xHandle, IDC_SQLPASSWORD);


        Set_Text(SQLServer_hWnd, gsSQLServer);
        Set_Text(SQLDriver_hWnd, gsSQLDriver);
        Set_Text(SQLDatabase_hWnd, gsSQLDatabase);

        Set_Text(SQLUsername_hWnd, gsSQLUserID);
        Set_Text(SQLPassword_hWnd, gsSQLPassword);

        return TRUE;
    }

    if(xMessage == WM_NOTIFY)
    {
        LPNMHDR pNMH = (LPNMHDR)lParam;
        if(pNMH->code == PSN_KILLACTIVE)
        {
            return FALSE;
        }
        if(pNMH->code == PSN_APPLY) // Ok
        {
            return TRUE;
        }
        if(pNMH->code == PSN_RESET) // Cancel
        {
            return FALSE;
        }
    }

    return FALSE;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

