///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

BOOL CALLBACK TabSecurityDialog(HWND xHandle, UINT xMessage, WPARAM wParam, LPARAM lParam)
{
    static HWND AuthString_hWnd     = NULL;
    static HWND BaseCommKey_hWnd    = NULL;
    static HWND LocalCryptKey_hWnd  = NULL;
    static HWND AdminPassword1_hWnd = NULL;
    static HWND AdminPassword2_hWnd = NULL;

    if(xMessage == WM_INITDIALOG)
    {
        AuthString_hWnd     = GetDlgItem(xHandle, IDC_AUTHSTRING);
        BaseCommKey_hWnd    = GetDlgItem(xHandle, IDC_BASECOMMKEY);

        LocalCryptKey_hWnd  = GetDlgItem(xHandle, IDC_LOCALCRYPTKEY);
        AdminPassword1_hWnd = GetDlgItem(xHandle, IDC_ADMINPASSWORD1);
        AdminPassword2_hWnd = GetDlgItem(xHandle, IDC_ADMINPASSWORD2);


        Set_Text(AuthString_hWnd, gsAuthString);
        Set_Text(BaseCommKey_hWnd, gsBaseCommKey);

        Set_Text(LocalCryptKey_hWnd,  "Not implemented");
        Set_Text(AdminPassword1_hWnd, "Not implemented");
        Set_Text(AdminPassword2_hWnd, "Not implemented");

        return TRUE;
    }

    if(xMessage == WM_NOTIFY)
    {
        LPNMHDR pNMH = (LPNMHDR)lParam;
        if(pNMH->code == PSN_KILLACTIVE)
        {
            return FALSE;
        }
        if(pNMH->code == PSN_APPLY) // Ok
        {
            return TRUE;
        }
        if(pNMH->code == PSN_RESET) // Cancel
        {
            return FALSE;
        }
    }

    return FALSE;
}

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

